Bug 867141 - [abrt] firefox-16.0.1-1.fc17: _cairo_spline_decompose_into: Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
[abrt] firefox-16.0.1-1.fc17: _cairo_spline_decompose_into: Process /usr/lib6...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:b299ecc51e9fd4180eb2253b15b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 17:01 EDT by bugzilla-redhat
Modified: 2013-08-01 03:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (172.00 KB, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: environ (1.96 KB, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: backtrace (221.36 KB, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: maps (124.94 KB, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: dso_list (17.86 KB, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: build_ids (6.93 KB, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: var_log_messages (247 bytes, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details
File: open_fds (14.26 KB, text/plain)
2012-10-16 17:01 EDT, bugzilla-redhat
no flags Details

  None (edit)
Description bugzilla-redhat 2012-10-16 17:01:18 EDT
Description of problem:
I was just typing in a reply on twitter.com when FF suddenly crahed. No idea about the cause.

Version-Release number of selected component:
firefox-16.0.1-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox --sm-config-prefix /firefox-ZP32SO/ --sm-client-id 107b3f2979f17d2d95134743238222552600000121110041 --screen 0
crash_function: _cairo_spline_decompose_into
kernel:         3.6.1-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (1 frames)
: #0 _cairo_spline_decompose_into at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-spline.c:188
Comment 1 bugzilla-redhat 2012-10-16 17:01:22 EDT
Created attachment 628407 [details]
File: core_backtrace
Comment 2 bugzilla-redhat 2012-10-16 17:01:24 EDT
Created attachment 628408 [details]
File: environ
Comment 3 bugzilla-redhat 2012-10-16 17:01:29 EDT
Created attachment 628409 [details]
File: backtrace
Comment 4 bugzilla-redhat 2012-10-16 17:01:31 EDT
Created attachment 628410 [details]
File: limits
Comment 5 bugzilla-redhat 2012-10-16 17:01:33 EDT
Created attachment 628411 [details]
File: cgroup
Comment 6 bugzilla-redhat 2012-10-16 17:01:35 EDT
Created attachment 628412 [details]
File: maps
Comment 7 bugzilla-redhat 2012-10-16 17:01:38 EDT
Created attachment 628413 [details]
File: dso_list
Comment 8 bugzilla-redhat 2012-10-16 17:01:40 EDT
Created attachment 628414 [details]
File: build_ids
Comment 9 bugzilla-redhat 2012-10-16 17:01:42 EDT
Created attachment 628415 [details]
File: var_log_messages
Comment 10 bugzilla-redhat 2012-10-16 17:01:44 EDT
Created attachment 628416 [details]
File: open_fds
Comment 11 Jan Horak 2012-10-17 04:19:33 EDT
This looks like some recursive function call crash in cairo. Unfortunately reproduction steps are unavailable. Changing component to cairo. Maintainer if you haven't got a clue, feel free to close.
Comment 12 Fedora End Of Life 2013-07-03 22:14:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 03:48:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.